	.file	"sum.c"
	.intel_syntax noprefix
	.text
	.def	___main;	.scl	2;	.type	32;	.endef
	.section .rdata,"dr"
LC0:
	.ascii "value of x is %u\0"
	.text
	.globl	_main
	.def	_main;	.scl	2;	.type	32;	.endef
_main:
	push	ebp
	mov	ebp, esp
	and	esp, -16
	sub	esp, 32
	call	___main
	mov	DWORD PTR [esp+28], 0
	mov	DWORD PTR [esp+24], 2
	mov	eax, DWORD PTR [esp+24]
	mov	DWORD PTR [esp], eax
	call	_mult
	mov	DWORD PTR [esp+28], eax
	mov	eax, DWORD PTR [esp+28]
	mov	DWORD PTR [esp+4], eax
	mov	DWORD PTR [esp], OFFSET FLAT:LC0
	call	_printf
	nop
	leave
	ret
	.globl	_mult
	.def	_mult;	.scl	2;	.type	32;	.endef
_mult:
	push	ebp
	mov	ebp, esp
	mov	eax, DWORD PTR [ebp+8]
	imul	eax, eax, 135
	pop	ebp
	ret
	.ident	"GCC: (tdm64-1) 9.2.0"
	.def	_printf;	.scl	2;	.type	32;	.endef
